Package org.springframework.http

# Interface StreamingHttpOutputMessage

All Superinterfaces:
  `HttpMessage`, `HttpOutputMessage`

public interface StreamingHttpOutputMessage extends HttpOutputMessage
Represents an HTTP output message that allows for setting a streaming body. Note that such messages typically do not support `HttpOutputMessage.getBody()` access.

Since:
  4.0
Author:
  Arjen Poutsma
See Also:
  - `setBody(org.springframework.http.StreamingHttpOutputMessage.Body)`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`StreamingHttpOutputMessage.Body`
Defines the contract for bodies that can be written directly to an `OutputStream`.

## Method Summary

Modifier and Type
Method
Description
`void`
`setBody(StreamingHttpOutputMessage.Body body)`
Set the streaming body callback for this message.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Methods inherited from interface org.springframework.http.HttpOutputMessage

`getBody`

## Method Details

### setBody

void setBody(StreamingHttpOutputMessage.Body body)
Set the streaming body callback for this message.

Parameters:
  `body` - the streaming body callback